@use 'sass:map';

$icons: (
	'chevron-right':
		'%3Csvg%0A%09width%3D%2224%22%0A%09height%3D%2224%22%0A%09viewBox%3D%220%200%2024%2024%22%0A%09xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%0A%3E%0A%09%3Cpath%0A%09%09d%3D%22M288.917%2C415.517%2C287.5%2C414.1l3.96-3.96-3.96-3.96%2C1.414-1.414%2C5.373%2C5.374Z%22%0A%09%09transform%3D%22translate(-278.17%20-398.103)%22%0A%09%2F%3E%0A%3C%2Fsvg%3E',
	'chevron-down':
		'%3Csvg%0A%09%09%09%09%09width%3D%2224%22%0A%09%09%09%09%09height%3D%2224%22%0A%09%09%09%09%09viewBox%3D%220%200%2024%2024%22%0A%09%09%09%09%09transform%3D%22rotate(90)%22%0A%09%09%09%09%09xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%0A%09%09%09%09%3E%0A%09%09%09%09%09%3Cpath%0A%09%09%09%09%09%09d%3D%22M288.917%2C415.517%2C287.5%2C414.1l3.96-3.96-3.96-3.96%2C1.414-1.414%2C5.373%2C5.374Z%22%0A%09%09%09%09%09%09transform%3D%22translate(-278.17%20-398.103)%22%0A%09%09%09%09%09%09fill%3D%22currentColor%22%0A%09%09%09%09%09%2F%3E%0A%09%09%09%09%3C%2Fsvg%3E',
	'chevron-up':
		'%3Csvg%0A%09%09%09%09%09width%3D%2224%22%0A%09%09%09%09%09height%3D%2224%22%0A%09%09%09%09%09viewBox%3D%220%200%2024%2024%22%0A%09%09%09%09%09transform%3D%22rotate(-90)%22%0A%09%09%09%09%09xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%0A%09%09%09%09%3E%0A%09%09%09%09%09%0A%09%09%09%09%09%3Cpath%0A%09%09%09%09%09%09d%3D%22M288.917%2C415.517%2C287.5%2C414.1l3.96-3.96-3.96-3.96%2C1.414-1.414%2C5.373%2C5.374Z%22%0A%09%09%09%09%09%09transform%3D%22translate(-278.17%20-398.103)%22%0A%09%09%09%09%09%09fill%3D%22currentColor%22%0A%09%09%09%09%09%2F%3E%0A%09%09%09%09%3C%2Fsvg%3E',
	'chevron-left':
		'%3Csvg%0A%09%09%09%09%09width%3D%229%22%0A%09%09%09%09%09height%3D%2214%22%0A%09%09%09%09%09viewBox%3D%220%200%209%2014%22%0A%09%09%09%09%09xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%0A%09%09%09%09%09%0A%09%09%09%09%3E%0A%09%09%09%09%09%0A%09%09%09%09%09%3Cpath%0A%09%09%09%09%09%09d%3D%22M8%2013L2%206.926%207.853%201%22%0A%09%09%09%09%09%09stroke%3D%22currentColor%22%0A%09%09%09%09%09%09stroke-width%3D%222%22%0A%09%09%09%09%09%09fill%3D%22none%22%0A%09%09%09%09%09%09fill-rule%3D%22evenodd%22%0A%09%09%09%09%09%2F%3E%0A%09%09%09%09%3C%2Fsvg%3E'
);

@mixin mask($icon: 'chevron-right') {
	background-color: currentColor;
	padding: 0 0.5em;
	mask-image: url('data:image/svg+xml;charset=utf-8, #{map.get($icons, $icon)}');
	mask-repeat: no-repeat;
	mask-position: center;
	clip-path: padding-box inset(0.25em 0);
}

@mixin mask-pseudo($icon: 'chevron-right') {
	@include mask($icon);
	content: '';
}
